List the user's withdrawals, newest first.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"amount": "<string>",
"chain": "Polygon",
"created_at": "2023-11-07T05:31:56Z",
"status": "Queued",
"transactions": [
{
"created_at": "2023-11-07T05:31:56Z",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waiting",
"transaction_hash": "<string>"
}
],
"withdrawal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "<string>"
}
],
"next_cursor": "<string>"
}Custody
List the user's withdrawals, newest first.
GET
/
custody
/
get-withdrawals
List the user's withdrawals, newest first.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"amount": "<string>",
"chain": "Polygon",
"created_at": "2023-11-07T05:31:56Z",
"status": "Queued",
"transactions": [
{
"created_at": "2023-11-07T05:31:56Z",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waiting",
"transaction_hash": "<string>"
}
],
"withdrawal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "<string>"
}
],
"next_cursor": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
The last cursor, emitted by the previous response.
The maximum number of items to return.
Required range:
x >= 0